Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Proxy Class Reference

Proxy for dealing with remote server process managing NET_LOCAL NameBindings. More...

`#include <Name_Proxy.h>`

Inheritance diagram for ACE_Name_Proxy

[legend]
Collaboration diagram for ACE_Name_Proxy:

[legend]
List of all members.

## Public Methods
| ACE_Name_Proxy (void)
| Default constructor.
| ACE_Name_Proxy (const ACE_INET_Addr &remote_addr, ACE_Synch_Options& options = ACE_Synch_Options::defaults)
int | open (const ACE_INET_Addr &remote_addr, ACE_Synch_Options& options = ACE_Synch_Options::defaults)
int | request_reply (ACE_Name_Request &request)
| Perform the request and wait for the reply.
int | send_request (ACE_Name_Request &request)
| Perform the request.
int | recv_reply (ACE_Name_Request &reply)
| Receive the reply.
virtual ACE_HANDLE | get_handle (void) const
| Obtain underlying handle.
virtual | ~ACE_Name_Proxy (void)
| Close down the connection to the server.
void | dump (void) const
| Dump the state of the object;.
## Private Attributes
ACE_SOCK_Connector | connector_
| ACE_Connector factory used to establish connections actively.
ACE_SOCK_Stream | peer_
| Connection to ACE_Name Server peer.
ACE_Reactor* | reactor_
| Pointer to ACE_Reactor (used if we are run in "reactive-mode").

## Detailed Description

Proxy for dealing with remote server process managing NET_LOCAL NameBindings.

Shields applications from details of interacting with the ACE_Name Server.

## Constructor & Destructor Documentation

ACE_Name_Proxy::ACE_Name_Proxy ( | void )

| Default constructor.

ACE_Name_Proxy::ACE_Name_Proxy ( | const ACE_INET_Addr & remote_addr,
| ACE_Synch_Options & options = ACE_Synch_Options::defaults )

ACE_Name_Proxy::~ACE_Name_Proxy ( | void )`[virtual]`

| Close down the connection to the server.

## Member Function Documentation

void ACE_Name_Proxy::dump ( | void ) const`[inline]`

| Dump the state of the object;.

ACE_HANDLE ACE_Name_Proxy::get_handle ( | void ) const`[virtual]`

| Obtain underlying handle. Reimplemented from ACE_Event_Handler.

int ACE_Name_Proxy::open ( | const ACE_INET_Addr & remote_addr,
| ACE_Synch_Options & options = ACE_Synch_Options::defaults )

int ACE_Name_Proxy::recv_reply ( | ACE_Name_Request & reply )

| Receive the reply.

int ACE_Name_Proxy::request_reply ( | ACE_Name_Request & request )

| Perform the request and wait for the reply.

int ACE_Name_Proxy::send_request ( | ACE_Name_Request & request )

| Perform the request.

## Member Data Documentation

ACE_SOCK_Connector ACE_Name_Proxy::connector_`[private]`

| ACE_Connector factory used to establish connections actively.

ACE_SOCK_Stream ACE_Name_Proxy::peer_`[private]`

| Connection to ACE_Name Server peer.

ACE_Reactor * ACE_Name_Proxy::reactor_`[private]`

| Pointer to ACE_Reactor (used if we are run in "reactive-mode"). Reimplemented from ACE_Event_Handler.

The documentation for this class was generated from the following files:

- Name_Proxy.h
- Name_Proxy.cpp